IE Warning Pop-Up on File History Preview

Bug #861545 reported by Nat Katin-Borland on 2011-09-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
KARL3
Medium
Carlos de la Guardia

Bug Description

There is an IE warning that pops up every time you click on the preview option on the File History screen when the file is a file type that can't be previewed in the browser window (MS Office docs, etc.). See screenshot for the warning. This is very annoying because you get the warning every time you use a preview link. We need to research is this type of pop-up can be prevented by changing an IE security setting or if we have to change the user experience to get around this pop-up. The ideal behavior is what we have when you click on the view or download link on the normal File detail page.

Nat Katin-Borland (nborland) wrote :
Paul Everitt (paul-agendaless) wrote :

Carlos, another one if you could take a look at it.

Changed in karl3:
assignee: nobody → Carlos de la Guardia (cguardia)
importance: Undecided → Medium
milestone: none → m76
Carlos de la Guardia (cguardia) wrote :

This is called the "information bar" by Microsoft. It's a security feature to prevent unwanted code execution and downloads. I do not recommend to disable this for all sites. To disable this behavior for file downloads only for a specific Karl site, you can:

1. Click the "tools" button, then "internet options".
2. Click the "security" tab.
3. Click on "trusted sites", then on the "sites" button that appears.
4. Type the URL of the trusted site in the text box at the top and click "add".
5. Click "close".
6. Click the "custom level" button inside the box labeled "security level for this zone".
7. Scroll to the "downloads" section of the list and under that find "automatic prompting for file downloads".
8. Click "enable" under that section (should be set to "disable" by default).
9. Click "ok" twice.

The alternative is to give up the current preview functionality and use the same file URL of the "click here to view the file" link in the normal file view.

Changed in karl3:
status: New → Opinion
Changed in karl3:
status: Opinion → In Progress

Right, we know we don't want to disable the bar via preferences. We just want the downloading of files via preview to be the same as downloading files via visiting the file directly.

--Paul

On Sep 30, 2011, at 11:29 PM, Carlos de la Guardia wrote:

> This is called the "information bar" by Microsoft. It's a security
> feature to prevent unwanted code execution and downloads. I do not
> recommend to disable this for all sites. To disable this behavior for
> file downloads only for a specific Karl site, you can:
>
> 1. Click the "tools" button, then "internet options".
> 2. Click the "security" tab.
> 3. Click on "trusted sites", then on the "sites" button that appears.
> 4. Type the URL of the trusted site in the text box at the top and click "add".
> 5. Click "close".
> 6. Click the "custom level" button inside the box labeled "security level for this zone".
> 7. Scroll to the "downloads" section of the list and under that find "automatic prompting for file downloads".
> 8. Click "enable" under that section (should be set to "disable" by default).
> 9. Click "ok" twice.
>
> The alternative is to give up the current preview functionality and use
> the same file URL of the "click here to view the file" link in the
> normal file view.
>
> ** Changed in: karl3
> Status: New => Opinion
>
> --
> You received this bug notification because you are subscribed to KARL3.
> https://bugs.launchpad.net/bugs/861545
>
> Title:
> IE Warning Pop-Up on File History Preview
>
> Status in KARL3:
> In Progress
>
> Bug description:
> There is an IE warning that pops up every time you click on the
> preview option on the File History screen when the file is a file type
> that can't be previewed in the browser window (MS Office docs, etc.).
> See screenshot for the warning. This is very annoying because you get
> the warning every time you use a preview link. We need to research is
> this type of pop-up can be prevented by changing an IE security
> setting or if we have to change the user experience to get around this
> pop-up. The ideal behavior is what we have when you click on the view
> or download link on the normal File detail page.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/karl3/+bug/861545/+subscriptions

Carlos de la Guardia (cguardia) wrote :

The problem was that IE will show the information bar whenever a JS call becomes a file download, so nothing could be gained by changing the headers. I decided to look at the context in the history view and change the preview js call to a simple html link for download whenever we are dealing with a file. Previews for other types will keep using Ajax.

Carlos de la Guardia (cguardia) wrote :

I tried to add the version filename to the headers so that it shows up when downloading the file, which worked fine in my sandbox. However, it failed to work on branch1, so I reverted that specific change.

Changed in karl3:
status: In Progress → Fix Committed
Paul Everitt (paul-agendaless) wrote :

Very good, I'll test it this morning and ask Jim to test on all his versions of IE.

--Paul

On Oct 3, 2011, at 4:00 AM, Carlos de la Guardia wrote:

> The problem was that IE will show the information bar whenever a JS call
> becomes a file download, so nothing could be gained by changing the
> headers. I decided to look at the context in the history view and change
> the preview js call to a simple html link for download whenever we are
> dealing with a file. Previews for other types will keep using Ajax.
>
> --
> You received this bug notification because you are subscribed to KARL3.
> https://bugs.launchpad.net/bugs/861545
>
> Title:
> IE Warning Pop-Up on File History Preview
>
> Status in KARL3:
> Fix Committed
>
> Bug description:
> There is an IE warning that pops up every time you click on the
> preview option on the File History screen when the file is a file type
> that can't be previewed in the browser window (MS Office docs, etc.).
> See screenshot for the warning. This is very annoying because you get
> the warning every time you use a preview link. We need to research is
> this type of pop-up can be prevented by changing an IE security
> setting or if we have to change the user experience to get around this
> pop-up. The ideal behavior is what we have when you click on the view
> or download link on the normal File detail page.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/karl3/+bug/861545/+subscriptions

JimPGlenn (jpglenn09) wrote :

I tested this and the result for IE 7, IE8 and IE9 were the same. Click on preview and a file download box would appear asking if you wanted to open, save or cancel. Al three options work.

Perfect, thanks Jim for testing and Carlos for doing.

--Paul

On Oct 3, 2011, at 7:47 AM, JimPGlenn wrote:

> I tested this and the result for IE 7, IE8 and IE9 were the same. Click
> on preview and a file download box would appear asking if you wanted to
> open, save or cancel. Al three options work.
>
> --
> You received this bug notification because you are subscribed to KARL3.
> https://bugs.launchpad.net/bugs/861545
>
> Title:
> IE Warning Pop-Up on File History Preview
>
> Status in KARL3:
> Fix Committed
>
> Bug description:
> There is an IE warning that pops up every time you click on the
> preview option on the File History screen when the file is a file type
> that can't be previewed in the browser window (MS Office docs, etc.).
> See screenshot for the warning. This is very annoying because you get
> the warning every time you use a preview link. We need to research is
> this type of pop-up can be prevented by changing an IE security
> setting or if we have to change the user experience to get around this
> pop-up. The ideal behavior is what we have when you click on the view
> or download link on the normal File detail page.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/karl3/+bug/861545/+subscriptions

Nat Katin-Borland (nborland) wrote :

Great - thanks for the quick work on this one!

--
Nathaniel Katin-Borland
Support Specialist
Knowledge Management Initiative
KARL Support Team

Open Society Foundations - New York Office
400 West 59th Street
New York, NY 10019
Email: <email address hidden>
Phone: 212-547-6984
http://www.soros.org/
http://www.karlproject.org

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Paul Everitt
Sent: Monday, October 03, 2011 8:05 AM
To: Nathaniel Katin-Borland
Subject: Re: [Bug 861545] Re: IE Warning Pop-Up on File History Preview

Perfect, thanks Jim for testing and Carlos for doing.

--Paul

On Oct 3, 2011, at 7:47 AM, JimPGlenn wrote:

> I tested this and the result for IE 7, IE8 and IE9 were the same.
> Click on preview and a file download box would appear asking if you
> wanted to open, save or cancel. Al three options work.
>
> --
> You received this bug notification because you are subscribed to KARL3.
> https://bugs.launchpad.net/bugs/861545
>
> Title:
> IE Warning Pop-Up on File History Preview
>
> Status in KARL3:
> Fix Committed
>
> Bug description:
> There is an IE warning that pops up every time you click on the
> preview option on the File History screen when the file is a file type
> that can't be previewed in the browser window (MS Office docs, etc.).
> See screenshot for the warning. This is very annoying because you
> get the warning every time you use a preview link. We need to
> research is this type of pop-up can be prevented by changing an IE
> security setting or if we have to change the user experience to get
> around this pop-up. The ideal behavior is what we have when you
> click on the view or download link on the normal File detail page.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/karl3/+bug/861545/+subscriptions

--
You received this bug notification because you are subscribed to the bug report.
https://bugs.launchpad.net/bugs/861545

Title:
  IE Warning Pop-Up on File History Preview

Status in KARL3:
  Fix Committed

Bug description:
  There is an IE warning that pops up every time you click on the
  preview option on the File History screen when the file is a file type
  that can't be previewed in the browser window (MS Office docs, etc.).
  See screenshot for the warning. This is very annoying because you get
  the warning every time you use a preview link. We need to research is
  this type of pop-up can be prevented by changing an IE security
  setting or if we have to change the user experience to get around this
  pop-up. The ideal behavior is what we have when you click on the view
  or download link on the normal File detail page.

To manage notifications about this bug go to:
https://bugs.launchpad.net/karl3/+bug/861545/+subscriptions

JimPGlenn (jpglenn09) on 2011-10-27
tags: added: r3.73
JimPGlenn (jpglenn09) wrote :

fixed

Changed in karl3:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers